::-webkit-scrollbar {
    width: 0;
}
.scrollPath{
    position: fixed;
    top: 0;
    right: 0;
    width: 6px;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.05);
}
.progressBar{
    position: fixed;
    top: 0;
    right: 0;
    width: 6px;
    height: 100%;
    background: linear-gradient(to bottom, #00f298 0%, #07f7f7 100%);
    animation: animate 5s linear infinite;
    &::before{
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(to bottom, #00f298 0%, #07f7f7 100%);
        filter: blur(18px);
    }
}
@keyframes animate{
    0%,100%{
        filter: brightness(100%);
    }
    25%{
        filter: brightness(160%);
    }
    50%{
        filter: brightness(100%);
    }
    75%{
        filter: brightness(60%);
    }
}

.modal__clock{
    display: none;
    
    position: fixed;
    top: 70px;
    left: 50%;
    transform: translateX(-50%);
    width: 307px;
    height: 307px;
    margin: 0 auto;
    background-color: #22252c;
    z-index: 1000;
    border-radius: 50%;
    transition: all .3s;
    &_active{
        display: block;
    }
}
.clock{
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    &__wrapper{
        position: relative;
        width: 300px;
        height: 300px;
        display: flex;
        justify-content: center;
        align-items: center;
        background: url('../img/clock.png') center (center/cover) no-repeat ;
        border: 4px solid #22252c;
        border-radius: 100%;
        box-shadow: 0 -10px 10px rgba(255, 255, 255, 0.05),
                    inset 0 -10px 10px rgba(255, 255, 255, 0.05),
                    0 10px 10px rgba(0, 0, 0, 0.3),
                    inset 0 10px 10px rgba(0, 0, 0, 0.3);

        &::before{
            content: '';
            width: 13px;
            height: 13px;
            position: absolute;
            background: #fff;
            border-radius: 100%;
            z-index: 100;
        }

        .hour{
            position: absolute;
            &__item{
                width: 145px;
                height: 145px;
                display: flex;
                justify-content: center;
                
                border-radius: 50%;
                &::before{
                    content: '';
                    position: absolute;
                    width: 5px;
                    height: 75px;
                    background-color: #ff105e;
                    z-index: 10;
                    border-radius: 6px 6px 0 0;
                }
            }
        }
        .minutes{
            position: absolute;
            &__item{
                width: 165px;
                height: 165px;
                display: flex;
                justify-content: center;
                &::before{
                    content: '';
                    position: absolute;
                    width: 4px;
                    height: 100px;
                    background-color: #fff;
                    z-index: 11;
                    border-radius: 6px 6px 0 0;
                }
            }
        }
        .seconds{
            position: absolute;
            &__item{
                width: 210px;
                height: 210px;
                display: flex;
                justify-content: center;
                &::before{
                    content: '';
                    position: absolute;
                    width: 2px;
                    height: 130px;
                    background-color: #fff;
                    z-index: 12;
                    border-radius: 6px 6px 0 0;
                }
            }
        }
    }
    &__close{
        position: absolute;
        top: 0;
        right: -20px;
        cursor: pointer;
        background: #00d7bb;
        border-radius: 50%;
        width: 30px;
        height: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
        i{
            font-size: 30px;
            
        }
    }
    
}
.covid{
    cursor: url('../icons/virus.png'), pointer;
    &__descr{
        font-size: 30px;
        color: #fff;
        text-align: center;
        text-transform: uppercase;
    }
    &__content{
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        
        .face{
            position: relative;
            width: 300px;
            height: 300px;
            border-radius: 50%;
            background: #ffcd00;
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 0 20px;
            &:hover{
                background: linear-gradient(180deg, #f44336, #ffcd00);
                &::before{
                    top: 210px;
                    width: 150px;
                    height: 20px;
                    border-bottom-left-radius: 0;
                    border-bottom-right-radius: 0;
                    background: #9d0b00;
                }
            }
            &::before{
                content: '';
                position: absolute;
                top: 180px;
                width: 150px;
                height: 70px;
                border-bottom-left-radius: 70px;
                border-bottom-right-radius: 70px;
                background: #b57700;
                transition: 0.5s;
            }
        }
        .eyes{
            position: relative;
            top: -40px;
            display: flex;
            flex-wrap: wrap;
        }
        .eye{
            position: relative;
            width: 80px;
            height: 80px;
            display: block;
            margin: 0 15px;
            border-radius: 50%;
            background: #fff;
            &::before{
                content: '';
                position: absolute;
                top: 50%;
                left: 25px;
                transform: translate(-50%, -50%);
                width: 40px;
                height: 40px;
                background: #333;
                border-radius: 50%;
            }
        }
    }
    
}